@echo off 
rem ----------
rem Please configure JDK_HOME properly. eg. JDK_HOME=c:\jdk1.3.1
rem ----------

if exist "%JDK_HOME%\bin\javac.exe"  goto JavaHome

if exist "%JDK_HOME%\bin\javac.exe"=="" goto noJavaHome

:noJavaHome

echo."
echo    Warning : JDK_HOME environment variable is not set.
echo              please set the JDK_HOME environment variable
echo."
goto end
:JavaHome

cd ..\..
call .\setEnv.bat

rem Please edit the JMS specific jars.

set JMS_CLASSPATH=

set CLASS_PATH=%NMS_CLASSES%;%NMS_ARC%;%MS_CLASSPATH%;%XML_CLASSPATH%;%JMS_CLASSPATH%;%JDK_HOME%\lib\tools.jar

%JDK_HOME%\bin\java -cp %CLASS_PATH% -Dprov.classpath=%CLASS_PATH% com.adventnet.nms.provisioning.messaging.StubGenerator %*

cd bin\provisioning
:end
